project_nakano/diary/urls.py
from django.urls import path
from .import views

app_name='diary'

urlpatterns=[
    path('',views.IndexView.as_view(),name='index'),
    #path('add/', views.AddView.as_view(), name='add'),
    #path('update/<int:pk>',views.UpdateView.as_view(), name='update'),
    #path('delete/<int:pk>',views.DeleteView.as_view(), name='delete'),
    path('detail/<int:pk>',views.DetailView.as_view(), name='detail'),
]

#汎用View　XxxView
#コメントアウト

project_nakano/project/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings             # 追加
from django.conf.urls.static import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns


urlpatterns = [
    path('admin/', admin.site.urls),
    path('diary/', include('diary.urls')),
    path('team2-2/', include('scratch.urls')),
]

urlpatterns += staticfiles_urlpatterns()
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)


project_nakano/scratch/urls.py
from django.urls import path
from .import views

app_name='scratch'

urlpatterns=[
     path('', views.top, name='top'),
     path('form/', views.form, name='form'),
     path('scratch/', views.sc_list, name='sc_list'),
     path('intro/', views.in_list, name='in_list'),
     path('scratch/nakano/', views.sc_nakano, name='sc_nakano'), #<int:pk>とか使って簡略化できるかも？
     path('scratch/sato/', views.sc_sato, name='sc_sato'),
     path('scratch/senami/', views.sc_senami, name='sc_senami'),
     path('intro/nakano/', views.in_nakano, name='in_nakano'),
     path('intro/sato/', views.in_sato, name='in_sato'),
     path('intro/senami/', views.in_senami, name='in_senami'),
     path('qa/', views.qa, name='qa'), 
]

 

project_nakano/diary/models.py
from django.db import models
from django.utils import timezone 
# Create your models here.

class Day(models.Model):
    title = models.CharField('タイトル', max_length=200)
    text = models.TextField('本文')
    date = models.DateTimeField('日付', default = timezone.now)

    def __str__(self):
        return self.title
    
    

project_nakano/scratch/models.py
from django.db import models

# Create your models here.

project_nakano/diary/forms.py
from django import forms
from .models import Day

class DayCreateForm(forms.ModelForm):

    class Meta:
        model = Day
        fields = '__all__' #(''title','text','date')

project_nakano/diary/views.py
from django.shortcuts import render,redirect, get_object_or_404
from django.urls import reverse_lazy
from django.views import generic
from .forms import DayCreateForm
from .models import Day

class IndexView(generic.ListView):
    model = Day
    paginate_by = 10

class AddView(generic.CreateView):
    model = Day
    form_class = DayCreateForm
    #fields='__all__' form_classのかわり 
    success_url = reverse_lazy('diary:index')

class UpdateView(generic.UpdateView):
    model = Day
    form_class = DayCreateForm
    success_url = reverse_lazy('diary:index')

class DeleteView(generic.DeleteView):
    model = Day
    form_class = DayCreateForm
    success_url = reverse_lazy('diary:index')

class DetailView(generic.DetailView):
    model = Day
    


def index(request):
    context={
        'day_list':Day.objects.all(),
    }
    return render(request,'diary/day_list.html',context)

def add(request):
    #送信内容をもとにフォーム作成　POSTでないならば空フォーム idiom
    form= DayCreateForm(request.POST or None)
    
    #送信ボタン押下時、また入力内容に誤りがなければ
    if request.method =="POST" and form.is_valid():
        form.save() #dbに追加
        return redirect('diary:index') #二重投稿を防ぐ'diary:add'など
    
    #通常時のページアクセス、入力内容に誤りがあればページを再表示
    context={
        'form':form
    }
    return render(request,'diary/day_form.html', context)
    
    
    """context={
        'form':DayCreateForm()
    }
    return render(request,'diary/day_form.html', context)"""

def update(request,pk):
    #urlのpkをもとに、Dayを取得
    day = get_object_or_404(Day, pk=pk)

    form = DayCreateForm(request.POST or None, instance=day)

    if request.method =='POST' and form.is_valid():
        form.save()
        return redirect('diary:index')

    context={
        'form':form
    }
    return render(request,'diary/day_form.html',context)

def delete(request,pk):
    day = get_object_or_404(Day, pk=pk)

    if request.method =='POST':
        day.delete()
        return redirect('diary:index')

    context={
        'day':day
    }
    return render(request,'diary/day_confirm_delete.html',context)

def detail(request,pk):
    day = get_object_or_404(Day, pk=pk)
    context={
        'day':day
    }
    return render(request,'diary/day_detail.html',context)

project_nakano/scratch/views.py
from django.shortcuts import render

# Create your views here.
def top(request):
    return render(request,'scratch/base_senami.html')

def form(request):
    return render(request,'scratch/form.html')

def sc_list(request):
    return render(request,'scratch/sc_list.html')

def in_list(request):
    return render(request,'scratch/in_list.html')

def sc_nakano(request):
    return render(request,'scratch/sc_nakano.html')
    
def sc_sato(request):
    return render(request,'scratch/sc_sato.html')

def sc_senami(request):
    return render(request,'scratch/sc_senami.html')


def in_nakano(request):
    return render(request,'scratch/in_nakano.html')
    
def in_sato(request):
    return render(request,'scratch/in_sato.html')

def in_senami(request):
    return render(request,'scratch/in_senami.html')


def qa(request):
   return render(request,'scratch/qa.html')

project_nakano/diary/templates/diary/base.html
<!doctype html>
<html lang="ja">
  <head>
    <title>日記アプリケーション</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  </head>
  <body>
    <div class="container"> 
      <nav class="nav">
        <a class="nav-link" href="{% url 'diary:index' %}">一覧</a>
          {% if user.is_superuser %}
        <a class="nav-link" href="{% url 'addmin:diary_day_add' %}" target = "_blank">追加</a>
          {% endif %}
      </nav>
      {% block content %}
      {% endblock %}
    </div>

    <!-- Optional JavaScript-->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </body>
</html>

project_nakano/diary/templates/diary/day_confirm_delete.html
{% extends 'diary/base.html' %}

{% block content %}
<form action="" method="POST"> <!--get なら入力内容をurlに加える-->
    <table class="table">          
         <tr>
                <th>タイトル</th>
                <td>{{ day.title }}</td>
         </tr>
         <tr>
                <th>本文</th>
                <td>{{ day.text }}</td>
         </tr>
         <tr>
                <th>日付</th>
                <td>{{ day.date }}</td>
         </tr>      
    </table>
<p>こちらのデータを削除します</p>
<button type="submit" class="btn btn-primary">送信</button>
{% csrf_token %}
</form>
{% endblock %}

project_nakano/diary/templates/diary/day_detail.html
{% extends 'diary/base.html' %}

{% block content %}
<table class="table">          
         <tr>
                <th>タイトル</th>
                <td>{{ day.title }}</td>
         </tr>
         <tr>
                <th>本文</th>
                <td>{{ day.text | linebreaksbr |urlize }}</td>
         </tr>
         <tr>
                <th>日付</th>
                <td>{{ day.date }}</td>
         </tr>      
    </table>

{% endblock %}

project_nakano/diary/templates/diary/day_form.html
{% extends 'diary/base.html' %}

{% block content %}
<p>{{ day.title }}</p>
<form action="" method="POST"> <!--get なら入力内容をurlに加える-->
    <table class="table">          
         <tr>
                <th>タイトル</th>
                <td>{{ form.title }}</td>
         </tr>
         <tr>
                <th>本文</th>
                <td>{{ form.text }}</td>
         </tr>
         <tr>
                <th>日付</th>
                <td>{{ form.date }}</td>
         </tr>      
    </table>
<!--{{form.as_p}}   入力欄を勝手に作る,as_pはオブジェクトの属性-->
<button type="submit" class="btn btn-primary">送信</button>
{% csrf_token %}
</form>
{% endblock %}

project_nakano/diary/templates/diary/day_list.html
{% extends 'diary/base.html' %}

{% block content %}
<h1>日記一覧</h1>
<table class="table">
    <thread>
        <tr>
            <th>タイトル</th>
            <th>日付</th>
            <th>#</th>
            <th>#</th>
        </tr>
    </thread>
    <tbody>
    {% for day in day_list %}
    <tr>
        <td><a href="{% url 'diary:detail' day.pk %}">{{ day.title }}</a></td>
        <td>{{ day.date }}</td>
        <td>
            {% if user.is_superuser %}
            <a href="{% url 'addmin:diary_day_change' day.pk %}" target="_blank">更新</a>
            {% endif %}
            </td>
        <td>
            {% if user.is_superuser %}
            <a href ="{% url 'addmin:diary_day_delate' day.pk %}" target="_blank">削除</a>
            {% endif %} 
            </td>     
    </tr>
    {% endfor %}
    </tbody>
</table>

{% include 'diary/page2.html' %}

{% endblock %}

project_nakano/diary/templates/diary/page1.html

{% if page_obj.has_previous %}
<a href="?page={{ page_obj.previous_page_number}}">前へ</a>
{% endif %}

{% if page_obj.has_next %}
<a href="?page={{ page_obj.next_page_number}}">次へ</a>
{% endif %}


project_nakano/diary/templates/diary/page2.html

{% if page_obj.has_previous %}
<a href="?page={{ page_obj.previous_page_number}}">前へ</a>
{% endif %}

{% for numb in page_obj.paginator.page_range %}
    {% if page_obj.number == num %}
    <span>{{ num }}</span>
    {% else %}
    <a href="?page={{ num }}">{{ num }}</a>
    {% endif %}
{% endfor %}


{% if page_obj.has_next %}
<a href="?page={{ page_obj.next_page_number}}">次へ</a>
{% endif %}


project_nakano/diary/templates/diary/page3.html

{% if page_obj.has_previous %}
<a href="?page={{ page_obj.previous_page_number}}">前へ</a>
{% endif %}

Page {{ page_obj.number}} of {{ page_obj.paginator.num_pages }}


{% if page_obj.has_next %}
<a href="?page={{ page_obj.next_page_number}}">次へ</a>
{% endif %}


project_nakano/scratch/templates/scratch/base_nakano.html
<!doctype html>
<html lang="ja">
  <head>
    <title>
      {% block title %}{% endblock %}
    </title>
    <p>
    <a href="http://127.0.0.1:8080/team2-2/">
    <img src="/media/logo.png" width="88" height="77" border="0" />
    </a>
    <!--<h1><font size="2">Topに戻る</font></h1>-->
    </p>
  
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
  </head>
  <body>
    
    {% block content %}
    {% endblock %}
    

    <!-- Optional JavaScript-->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </body>
</html>

project_nakano/scratch/templates/scratch/base_senami.html
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8">

</head>




<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<body background="/media/11619.png"> </body>




<h1 id="logo"></h1>
<div align="center">
<br><font size="15"></font>
<br><font size="15"></font>
<br><font size="15"></font>
<br><font size="15"></font>
<p>
<a href="scratch/" class="btn btn-outline-secondary"><font size="5">  PLAY GAME  </font></a>
<br><br><font size="30"></font>
<a href="intro/" class="btn btn-outline-secondary"><font size="5">  INTRODUCTION  </font></a>
<br><br><font size="30"></font>
<a href="qa/" class="btn btn-outline-secondary"><font size="5">   QUESTION   </font></a>
</p><br>

</div>

project_nakano/scratch/templates/scratch/in_list.html
url

project_nakano/scratch/templates/scratch/in_nakano.html
{% extends 'scratch/base_nakano.html' %}

{% block title%}中野の自己紹介{% endblock %}

{% block content %}
<div>
<table align="center">
    <tr>
        <td>名前:</td>
        <td>中野沙耶</td>
    </tr>
    <tr>
        <td>DTE:</td>
        <td>AS-PRD</td>
    </tr>
    <tr>
        <td>Function:</td>
        <td>Supply Chain & Engineering</td>
    </tr>
    <tr>
        <td>興味あること:　</td>
        <td>Biomimicry, XR, Haptics, Cognitive psychology</td>
    </tr>
    <tr>
        <td>目標:</td>
        <td>陽キャになる！</td>
    </tr>
</table>
</div>
      

{% endblock %}

project_nakano/scratch/templates/scratch/in_sato.html
url

project_nakano/scratch/templates/scratch/in_senami.html
<!doctype html>
<html lang="ja">
    <head>
        <meta charset="UTF-8">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
                
    </head>


    <body style="background-color:#FFFFCC"> 
        <br><font size="30"></font>
        <br><font size="30"></font>

            
        <font size="5">
        <table align="center">
            
            <tr>
                <td>名前：</td>
                <td>瀬浪　佑里（せなみ　ゆり）</td>
            </tr>
            <tr>

                <td>DTE：</td>
                <td>AS-PRD</td>
            </tr>
            <tr>

                <td>出身：</td>
                <td>千葉</td>
            </tr>
            <tr>

                <td>好きな食べ物：</td>
                <td>寿司、焼き肉、パンケーキ</td>
            </tr>
            <tr>

                <td>趣味：</td>
                <td>食べ歩き、カフェ巡り、旅行</td>
            </tr>

        </table>
        </font>
    
        <br><font size="30"></font>
    
        <br><font size="30"></font>


        <img src="/media/60600182.png" width="250" height="200" border="0" align="bottom" /> 



    </body>


    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</html>





project_nakano/scratch/templates/scratch/sc_list.html
{% extends 'scratch/base_nakano.html' %}

{% block title%}スクラッチ作品一覧{% endblock %}

{% block content %}
<a class="btn btn-primary btn-lg" role="button" href="nakano">中野のスクラッチ</a>
{% endblock %}

project_nakano/scratch/templates/scratch/sc_nakano.html
{% extends 'scratch/base_nakano.html' %}

{% block title%}🌹{% endblock %}


{% block content %}
<div style="text-align:center;">
<h1><font size="5" color="crimson">Petal dropping</font></h1>>
<iframe src="https://scratch.mit.edu/projects/326016742/embed" allowtransparency="true" width="485" height="402" frameborder="0" scrolling="no" allowfullscreen></iframe>
</div>
{% endblock %}

project_nakano/scratch/templates/scratch/sc_sato.html
{% extends 'scratch/base_nakano.html' %}

{% block title%}⚾{% endblock %}

{% block content %}
<div style="text-align:center;">
<h1><font size="5" color="deepskyblue">目指せ大谷翔平！</font></h1>>
<iframe src="https://scratch.mit.edu/projects/326024216/embed" allowtransparency="true" width="485" height="402" frameborder="0" scrolling="no" allowfullscreen></iframe>
</div>
{% endblock %}

project_nakano/scratch/templates/scratch/sc_senami.html
{% extends 'scratch/base_nakano.html' %}


{% block title%}🐥{% endblock %}

{% block content %}
<div style="text-align:center;">
<h1><font size="5" color="gold">ヒヨコの友達探しゲーム</font></h1>>
<iframe src="https://scratch.mit.edu/projects/326023865/embed" allowtransparency="true" width="485" height="402" frameborder="0" scrolling="no" allowfullscreen></iframe>
</div>


<img src="/media/60600182.png" width="250" height="200" border="0" align="bottom" /> 
{% endblock %}

project_nakano/scratch/templates/scratch/top.html
{% extends 'scratch/base_nakano.html' %}

{% block title%}Team2-2 Scratch作品紹介{% endblock %}

{% block content %}

<h1>team2-2のサイト</h1>

{% endblock %}